Subject: Re: bug#56008: 29.0.50; image-mode buffer scrolled down automatically

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Jun 2022 16:57:42 +0300

> Cc: [email-masked]
> From: Visuwesh <[email-masked]>
> Date: Thu, 16 Jun 2022 18:49:49 +0530
> 
> >  So this seems like it's a redisplay bug and not a programming error
> > somewhere (I was wondering if some shr code was setting window-start
> > in the wrong window or something like that).
> 
> Yes, it is not specific to shr/eww.  That's what I alluded to by saying,
> 
>     This does not happen only with eww but in other scenarios as well.  But
>     I am unable to reproduce this behaviour in those scenarios as they are a
>     lot more involved.

No, this _is_ specific to eww and shr.  Well, in a way: shr.el does
something which directly causes this.  Stay tuned.